<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<link rel="stylesheet" media="all" href="main.css">
<title>Unleashed</title>
</head>
<body>
<main>
<article>
<header>
<h1>Unleashed</h1>
</header>
<p>
Unleashed is an operating system fork of
<a href="https://illumos.org/">illumos</a> (<a href="why.html">see why</a>),
which itself is a derivative of OpenSolaris and therefore has its roots in
UNIX System V Release 4.
</p>
<p>
It is intended as a modern Unix operating system <em>for developers by
developers</em>; it comes with ZFS, DTrace, Crossbow and more.
</p>
<p style="border: 2px solid #ee3333">
<b>Note:</b> Development on Unleashed ceased immediately after the 1.4
release.  For more information on why, see the
<a href="/releases/1.4/notes.txt">release notes</a>.
</p>
<h3>Download &amp; Installation</h3>
<p>
The only systems currently supported are amd64-based computers and virtual
machines.
</p>
<p>
Unleashed is being maintained as a hobby, and as such we cannot guarantee
releasing security or other patches. Run it in production at your own risk.
</p>
<ul>
  <li>release <a href="/releases/1.4/">1.4</a> (2020-04-04)
    <ul class=inline>
      <li>[<a href="/releases/1.4/notes.txt">relnotes</a>]</li>
      <li>[<a href="/releases/1.4/unleashed-1.4.img.gz">usb</a>]</li>
      <li>[<a href="/releases/1.4/unleashed-1.4.iso.gz">iso</a>]</li>
      <li>[<a href="/releases/1.4/unleashed-1.4.p5p.gz">p5p</a>]</li>
      <li>[<a href="/releases/1.4/checksums">checksums</a>]</li>
    </ul>
  </li>
</ul>
<h3>IRC &amp; Mailing Lists</h3>
<p>
You can find us in
<a href="ircs://irc.freenode.net:6697/unleashed">#unleashed on Freenode</a>.
</p>
<p>
We have two mailing lists: one for general development discussions
(<a href="http://lists.31bits.net/listinfo/devel">subscribe</a>,
<a href="http://lists.31bits.net/archives/devel/">archives</a>)
and one with commit notifications
(<a href="http://lists.31bits.net/listinfo/commits">subscribe</a>,
<a href="http://lists.31bits.net/archives/commits/">archives</a>).
</p>
<p>
Security sensitive information can be sent to
<a href="mailto:jeffpc@josefsipek.net">jeffpc@josefsipek.net</a>.  If you
wish, you may encrypt your message with
<a href="https://sks-keyservers.net/pks/lookup?op=get&search=0x18F90BEB645EB36FE31AEE9F8311B7D703B1E6C8">Jeff's PGP key</a>.
</p>
<h3>Contributing</h3>
<p>
If you want to make Unleashed better, send us a patch, an email, or join us on
IRC! We don't have mandatory code review or any other convoluted processes;
just show us the code.
</p>
<p>
The source code itself is split across several git repositories:
</p>
<ul>
  <li><a href="https://repo.or.cz/unleashed.git/">core OS</a></li>
  <li><a href="https://repo.or.cz/unleashed-userland.git/">userland</a></li>
  <li><a href="https://repo.or.cz/unleashed-pkg5.git/">pkg5</a></li>
  <li><a href="https://repo.or.cz/unleashed-kayak.git/">kayak installer</a></li>
</ul>
<p>
The steps to build each vary, but they are documented in each repository's
top-level README.
</p>
<h3>Documentation</h3>
<p>
Aside from the typical set of man pages, there is a
<a href="https://repo.or.cz/unleashed.git/tree/HEAD:/docs">docs</a> directory
in the main git repository.
</p>
</article>
</main>
</body>
</html>
